/*
 * Copyright (c) 2020, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.wso2.pingfederate.client;

/**
 * This class will hold constants related to PingFederate key manager implementation.
 */
public class PingFederateConstants {

    public static final String PING_FEDERATE_TYPE = "PingFederate";
    public static final String DISPLAY_NAME = "PingFederate";
    public static final String USERNAME = "username";
    public static final String PASSWORD = "password";
    public static final String TOKEN_VALIDATION_CLIENT_ID = "client_id";
    public static final String TOKEN_VALIDATION_CLIENT_SECRET = "client_secret";
    public static final String BYPASS_APPROVAL_PAGES = "bypass_approval_pages";
    public static final String RESTRICT_RESPONSE_TYPES = "restrict_response_types";
    public static final String CONSUMER_KEY_CLAIM = "client_id_name";
    public static final String DEFAULT_SUBJECT_CLAIM = "Username";
    public static final String CLIENT_ID_CLAIM = "client_id";
}
